# This file is generated by make.paws. Please do not edit here.
#' @importFrom paws.common get_config new_operation new_request send_request
#' @include bedrockdataautomationruntime_service.R
NULL

#' API used to get data automation status
#'
#' @description
#' API used to get data automation status.
#'
#' See [https://www.paws-r-sdk.com/docs/bedrockdataautomationruntime_get_data_automation_status/](https://www.paws-r-sdk.com/docs/bedrockdataautomationruntime_get_data_automation_status/) for full documentation.
#'
#' @param invocationArn &#91;required&#93; Invocation arn.
#'
#' @keywords internal
#'
#' @rdname bedrockdataautomationruntime_get_data_automation_status
bedrockdataautomationruntime_get_data_automation_status <- function(invocationArn) {
  op <- new_operation(
    name = "GetDataAutomationStatus",
    http_method = "POST",
    http_path = "/",
    host_prefix = "",
    paginator = list(),
    stream_api = FALSE
  )
  input <- .bedrockdataautomationruntime$get_data_automation_status_input(invocationArn = invocationArn)
  output <- .bedrockdataautomationruntime$get_data_automation_status_output()
  config <- get_config()
  svc <- .bedrockdataautomationruntime$service(config, op)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.bedrockdataautomationruntime$operations$get_data_automation_status <- bedrockdataautomationruntime_get_data_automation_status

#' Async API: Invoke data automation
#'
#' @description
#' Async API: Invoke data automation.
#'
#' See [https://www.paws-r-sdk.com/docs/bedrockdataautomationruntime_invoke_data_automation_async/](https://www.paws-r-sdk.com/docs/bedrockdataautomationruntime_invoke_data_automation_async/) for full documentation.
#'
#' @param clientToken Idempotency token.
#' @param inputConfiguration &#91;required&#93; Input configuration.
#' @param outputConfiguration &#91;required&#93; Output configuration.
#' @param dataAutomationConfiguration Data automation configuration.
#' @param encryptionConfiguration Encryption configuration.
#' @param notificationConfiguration Notification configuration.
#' @param blueprints Blueprint list.
#'
#' @keywords internal
#'
#' @rdname bedrockdataautomationruntime_invoke_data_automation_async
bedrockdataautomationruntime_invoke_data_automation_async <- function(clientToken = NULL, inputConfiguration, outputConfiguration, dataAutomationConfiguration = NULL, encryptionConfiguration = NULL, notificationConfiguration = NULL, blueprints = NULL) {
  op <- new_operation(
    name = "InvokeDataAutomationAsync",
    http_method = "POST",
    http_path = "/",
    host_prefix = "",
    paginator = list(),
    stream_api = FALSE
  )
  input <- .bedrockdataautomationruntime$invoke_data_automation_async_input(clientToken = clientToken, inputConfiguration = inputConfiguration, outputConfiguration = outputConfiguration, dataAutomationConfiguration = dataAutomationConfiguration, encryptionConfiguration = encryptionConfiguration, notificationConfiguration = notificationConfiguration, blueprints = blueprints)
  output <- .bedrockdataautomationruntime$invoke_data_automation_async_output()
  config <- get_config()
  svc <- .bedrockdataautomationruntime$service(config, op)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.bedrockdataautomationruntime$operations$invoke_data_automation_async <- bedrockdataautomationruntime_invoke_data_automation_async
